org.apache.storm.generated

## Class ListBlobsResult

- java.lang.Object
- - org.apache.storm.generated.ListBlobsResult

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ListBlobsResult>, org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class ListBlobsResult
      extends Object
      implements org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>, Serializable, Cloneable, Comparable<ListBlobsResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ListBlobsResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ListBlobsResult._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListBlobsResult()`
    `ListBlobsResult(List<String> keys, String session)`
    `ListBlobsResult(ListBlobsResult other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_keys(String elem)`
    `void` | `clear()`
    `int` | `compareTo(ListBlobsResult other)`
    `ListBlobsResult` | `deepCopy()`
    `boolean` | `equals(ListBlobsResult that)`
    `boolean` | `equals(Object that)`
    `ListBlobsResult._Fields` | `fieldForId(int fieldId)`
    `Iterator<String>` | `get_keys_iterator()`
    `int` | `get_keys_size()`
    `List<String>` | `get_keys()`
    `String` | `get_session()`
    `Object` | `getFieldValue(ListBlobsResult._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_keys()` Returns true if field keys is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_session()` Returns true if field session is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(ListBlobsResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_keys_isSet(boolean value)`
    `void` | `set_keys(List<String> keys)`
    `void` | `set_session_isSet(boolean value)`
    `void` | `set_session(String session)`
    `void` | `setFieldValue(ListBlobsResult._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_keys()`
    `void` | `unset_session()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ListBlobsResult._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ListBlobsResult

          public ListBlobsResult()

    - #### ListBlobsResult

          public ListBlobsResult(List<String> keys,
                                 String session)

    - #### ListBlobsResult

          public ListBlobsResult(ListBlobsResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ListBlobsResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>`

    - #### get_keys_size

          public int get_keys_size()

    - #### get_keys_iterator

          public Iterator<String> get_keys_iterator()

    - #### add_to_keys

          public void add_to_keys(String elem)

    - #### get_keys

          public List<String> get_keys()

    - #### set_keys

          public void set_keys(List<String> keys)

    - #### unset_keys

          public void unset_keys()

    - #### is_set_keys

          public boolean is_set_keys()

      Returns true if field keys is set (has been assigned a value) and false otherwise

    - #### set_keys_isSet

          public void set_keys_isSet(boolean value)

    - #### get_session

          public String get_session()

    - #### set_session

          public void set_session(String session)

    - #### unset_session

          public void unset_session()

    - #### is_set_session

          public boolean is_set_session()

      Returns true if field session is set (has been assigned a value) and false otherwise

    - #### set_session_isSet

          public void set_session_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ListBlobsResult._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ListBlobsResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>`

    - #### isSet

          public boolean isSet(ListBlobsResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ListBlobsResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ListBlobsResult other)

      Specified by:
        `compareTo` in interface `Comparable<ListBlobsResult>`

    - #### fieldForId

          public ListBlobsResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ListBlobsResult,ListBlobsResult._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.